import { DataGridCellDefDirective } from './data-grid-cell-def.directive';
import { DataGridHeaderCellDefDirective } from './data-grid-header-cell-def.directive';
import { DataGridEditCellDefDirective } from './data-grid-edit-cell-def.directive';
import * as i0 from "@angular/core";
export declare class DataGridRowDefDirective<T extends Record<string, any>> {
    data: any | null;
    name?: string;
    /**
     * true - the header and content cell are "rotated" by 90°. The header is above the content cell and both have a
     * colspan
     *
     * **flip: false**
     * Label | Value
     * --- | ---
     * Header | Content
     *
     * **flip: true**
     * Label | Value
     * --- | ---
     * Header (colspan 2)
     * Content (colspan 2)
     *
     */
    flip: boolean;
    cell?: DataGridCellDefDirective<T>;
    headerCell?: DataGridHeaderCellDefDirective;
    editCell?: DataGridEditCellDefDirective<T>;
    get isSubHeader(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<DataGridRowDefDirective<any>, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<DataGridRowDefDirective<any>, "[rxapDataGridRowDef]", never, { "data": { "alias": "data"; "required": false; }; "name": { "alias": "rxapDataGridRowDef"; "required": false; }; "flip": { "alias": "flip"; "required": false; }; }, {}, ["cell", "headerCell", "editCell"], never, true, never>;
}
